# $Revision: 1.48 $, $Date: 2005/01/01 09:41:34 $
#
# Conditional build:
%bcond_with	license_agreement	# with unzipped ROM files instead of xf25.zip
%bcond_without	svga 			# without SVGA version
#
Summary:	Atari 800 Emulator
Summary(pl):	Emulator Atari 800
Name:		Atari800
Version:	1.3.5
Release:	1
License:	GPL (Atari800), distributable if unmodified (xf25 with ROMs)
Group:		Applications/Emulators
Source0:	http://dl.sourceforge.net/atari800/atari800-%{version}.tar.gz
# Source0-md5:	299922f3a1086410302eafe35c76b1cb
# NOTE: ROMs probably can be redistributed only in original XF25 archive
Source1:	http://joy.sophics.cz/www/xf25.zip
# Source1-md5:	4dc3b6b4313e9596c4d474785a37b94d
Source2:	%{name}-chooser
URL:		http://atari800.atari.org/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
%{?with_svga:BuildRequires:	svgalib-devel}
%if %{with license_agreement}
BuildRequires:	unzip
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
This is Atari 800, 800XL, 130XE and 5200 emulator.

%description -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

%package common
Summary:	Atari 800 Emulator - common files for svgalib and X11 versions
Summary(pl):	Emulator Atari 800 - pliki wsplne dla wersji svgalib oraz X11
Group:		Applications/Emulators
Obsoletes:	Atari800
%if %{without license_agreement}
Requires(post):	unzip
%endif

%description common
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains common files for both svgalib and X11 versions
of Atari800.
%if %{without license_agreement}
Note: because of license problems we had to include whole X-Former
archive (xf25.zip). If you don't want it - rebuild Atari800 (--with
license_agreement)
%endif 

%description common -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera pliki wsplne dla wersji dziaajcych pod svgalib
oraz X11.
%if %{without license_agreement}
Uwaga: z powodu problemw z licencj musielimy zaczy ca paczk
z emulatorem X-Former (xf25.zip). Jeli jej nie chcesz w pakiecie -
przebuduj pakiet z opcja --with license_agreement.
%endif

%package svga
Summary:	Atari 800 Emulator - svgalib version
Summary(pl):	Emulator Atari 800 - wersja pod svgalib
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description svga
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for svgalib
with sound and joystick support.

%description svga -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla
svgalib z obsug dwiku i joysticka.

%package x11
Summary:	Atari 800 Emulator - X Window version
Summary(pl):	Emulator Atari 800 - wersja pod X Window
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description x11
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for X11 with
sound and joystick support.

%description x11 -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla X11 z
obsug dwiku i joysticka.

%package SDL
Summary:	Atari 800 Emulator - SDL version
Summary(pl):	Emulator Atari 800 - wersja pod SDL
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description SDL
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for SDL with
sound and joystick support.

%description SDL -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla SDL z
obsug dwiku i joysticka.

%prep
%setup -q -n atari800-%{version}

%build
cd src
rm config.sub
cp -f /usr/share/automake/config.sub .

CFLAGS="%{rpmcflags}"

%if %{with svga}
%configure \
	--target=svgalib \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--disable-SVGA_SPEEDUP \
	--enable-USE_CURSORBLOCK \
	--disable-JOYMOUSE \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO \
	--disable-BUFFERED_LOG \
	--enable-SET_LED \
	--enable-NO_LED_ON_SCREEN

%{__make}

mv -f atari800 atari800-svga

%{__make} clean
%endif

%configure \
	--target=sdl \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO \
	--disable-BUFFERED_LOG \
	--enable-SET_LED \
	--enable-NO_LED_ON_SCREEN

%{__make}

mv -f atari800 atari800-SDL

%{__make} clean

%configure \
	--target=shm \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO

%{__make}

mv -f atari800 atari800-x11

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/atari800,%{_mandir}/man1}

%if %{with svga}
install src/atari800-svga $RPM_BUILD_ROOT%{_bindir}
%endif
install src/atari800-x11 $RPM_BUILD_ROOT%{_bindir}
install src/atari800-SDL $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/atari800
install src/atari800.man $RPM_BUILD_ROOT%{_mandir}/man1/atari800.1

%if %{with license_agreement}
unzip -q -L %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/atari800
rm -f $RPM_BUILD_ROOT%{_datadir}/atari800/xf25.*
%else
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/atari800
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post common
cd %{_datadir}/atari800
if [ "`echo *.rom`" = "*.rom" ]; then
	umask 022
	unzip -q -L xf25.zip
	rm -f xf25.doc xf25.exe
fi
%endif

%files common
%defattr(644,root,root,755)
%doc DOC/{BUGS,CREDITS,ChangeLog,FAQ,NEWS,README,TODO,USAGE,*.txt} README.1ST
%attr(755,root,root) %{_bindir}/atari800
%{_datadir}/atari800
%{_mandir}/man1/atari800.1*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-x11

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-SDL

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-svga
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Atari800.spec,v $
Revision 1.48  2005/01/01 09:41:34  adamg
- updated to 1.3.5

Revision 1.47  2004/12/27 16:02:50  adamg
- updated to 1.3.4

Revision 1.46  2004/08/09 18:05:17  averne
- updated to 1.3.3

Revision 1.45  2004/08/09 17:56:10  averne
- refresh config.sub

Revision 1.44  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.43  2003/12/21 23:22:22  qboosh
- updated to 1.3.2

Revision 1.42  2003/11/24 13:32:31  qboosh
- fixed post common w/o l.a. (set umask, don't try to overwrite on upgrades)
- release 5

Revision 1.41  2003/11/24 10:59:36  speedy
- release 4

Revision 1.40  2003/11/24 10:46:11  qboosh
- more specific BR: svgalib4ggi on ppc

Revision 1.39  2003/11/23 23:05:53  qboosh
- simplified new bconds

Revision 1.38  2003/11/23 22:12:06  speedy
- new %bcond
- release 3, ac

Revision 1.37  2003/11/23 20:33:01  speedy
- release 2

Revision 1.36  2003/10/24 09:57:00  gotar
- moved -fomit-frame-pointer to specflags

Revision 1.35  2003/10/06 17:00:12  qboosh
- 1.3.1

Revision 1.34  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.33  2003/08/27 09:26:30  gotar
- s/pld.org.pl/pld-linux.org/g

Revision 1.32  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/08/06 16:29:58  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.30  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.27  2003/02/28 17:59:24  qboosh
- removed last remaining _xbindir

Revision 1.26  2003/02/26 17:40:55  qboosh
- updated spec: removed xbindir, fixed build with SDL in /usr

Revision 1.25  2003/02/22 13:01:24  misi3k
- updated to 1.3.0

Revision 1.24  2002/12/19 00:00:26  qboosh
- 1.2.5

Revision 1.23  2002/08/16 16:31:44  qboosh
- added svga version on alpha

Revision 1.22  2002/07/26 23:38:43  qboosh
- updated to 1.2.3, removed outdated patch

Revision 1.21  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.20  2002/04/25 15:49:00  arturs
fixed a small typo

Revision 1.19  2002/04/20 15:09:39  marcus
- enabled svgalib subpackage on PPC
- rel.3.

Revision 1.18  2002/04/12 21:48:37  kloczek
- release 2.

Revision 1.17  2002/04/12 21:39:29  marcus
- fix in %%files

Revision 1.16  2002/04/02 09:41:18  marcus
- fixed %%if/%%ifarch conflict

Revision 1.15  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/19 18:45:33  qboosh
- allow building without svgalib, do so on non-x86

Revision 1.13  2002/02/18 21:04:29  ankry
- fixed Source0 URL

Revision 1.12  2002/02/18 19:40:41  filon
- upated to 1.2.2
- joystick patch removed (see NEWS)
- ver_short defined as a macro

Revision 1.11  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/22 17:05:15  qboosh
- joystick patch (argh, STICK is UBYTE[4], STICK[0xFF] pointed to sth else...)
- release 3

Revision 1.9  2001/12/20 23:44:51  qboosh
- added atari800-SDL support to chooser
- use non-interactive configure style
- release 2 (configure options were not updated!)

Revision 1.8  2001/12/02 23:13:14  ankry
- updated Source0 URL

Revision 1.7  2001/12/02 18:57:46  filon
- updated to 1.2.0
- added SDL version
- modified build system
- added patch for building x11-shm target (they broke it)

Revision 1.6  2001/09/29 20:14:19  qboosh
- added description to base, empty package - it's used in SRPM
- simplified %%prep
- use %%configure2_13 (configure takes an extra parameter - it's not
  compatible with autoconf 2.5x)
- release 2

Revision 1.5  2001/05/23 00:07:50  qboosh
- conditional Requires: unzip changed to Prereq

Revision 1.4  2001/05/22 09:06:00  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.3  2001/05/22 00:51:55  qboosh
- typo in bconds handling

Revision 1.2  2001/05/22 00:25:46  kloczek
- cosmetics.

Revision 1.1  2001/05/22 00:07:56  qboosh
- spec taken from somewhere, rewritten and updated to 1.0.7
- NOTE: ROMs probably can be redistributed only with original X-Former .zip,
  so we include whole archive by default
